XISUITEDokumentation

Status Categories

6 Endpunkte. Basis-URL: https://xapi.ambertech.cloud/api/v1

List status categories for the org#

GET/status-categoriesToken

Parameter

NameOrtTypBeschreibung
spaceIdQuerystring–

Antworten

  • 200Categories returned
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/status-categories" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Create a status category#

POST/status-categoriesToken

Request-Bodyapplication/jsonCreateStatusCategoryDto

NameTypBeschreibung
namePflichtstring

Beispiel: In Review

keyPflichtstring

Beispiel: in_review

colorPflichtstring

Beispiel: #3B82F6

text_colorstring

Beispiel: #FFFFFF

space_idobject

Space ID (null = org-level)

sort_ordernumber

Beispiel: 0

is_done_likeboolean

Standard: false

Antworten

  • 201Category created
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/status-categories" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"In Review","key":"in_review","color":"#3B82F6"}'

Get a status category by ID#

GET/status-categories/{id}Token

Parameter

NameOrtTypBeschreibung
idPflichtPfadstring–

Antworten

  • 200Category returned
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/status-categories/{id}" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Update a status category#

PUT/status-categories/{id}Token

Parameter

NameOrtTypBeschreibung
idPflichtPfadstring–

Request-Bodyapplication/jsonUpdateStatusCategoryDto

NameTypBeschreibung
namestring–
colorstring–
text_colorstring–
sort_ordernumber–
is_done_likeboolean–

Antworten

  • 200Category updated
Beispiel (cURL)
curl -X PUT "https://xapi.ambertech.cloud/api/v1/status-categories/{id}" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"…","color":"…","text_color":"…"}'

Delete a status category (blocked if is_system=true)#

DELETE/status-categories/{id}Token

Parameter

NameOrtTypBeschreibung
idPflichtPfadstring–

Antworten

  • 200Category deleted
Beispiel (cURL)
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/status-categories/{id}" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Bulk reorder status categories#

PATCH/status-categories/reorderToken

Request-Bodyapplication/jsonReorderStatusCategoriesDto

NameTypBeschreibung
itemsPflichtReorderItemDto[]–

Antworten

  • 200Categories reordered
Beispiel (cURL)
curl -X PATCH "https://xapi.ambertech.cloud/api/v1/status-categories/reorder" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"items":[]}'
Stand: 25. Oktober 2026© 2026 XISUITE · AmberTech Solutions